package com.ruoyi.sy.domain;

import com.alibaba.fastjson2.JSONArray;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 专业就业前景对象 sy_major_career_prospects
 * 
 * @author mingxue
 * @date 2022-04-09
 */
public class SyMajorCareerProspects extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 专业三级编码 */
    @Excel(name = "专业三级编码")
    private String code;
    private List<String> codes;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String jobDirection;

    /** 职业分布 */
    @Excel(name = "职业分布")
    private String vocationalDistribution;

    /** 行业分布 */
    @Excel(name = "行业分布")
    private String industryDistribution;

    /** 就业地区分布 */
    @Excel(name = "就业地区分布")
    private String jobRegionDistribution;

    /** 近10年平均薪资 */
    @Excel(name = "近10年平均薪资")
    private String averageSalary;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setJobDirection(String jobDirection) 
    {
        this.jobDirection = jobDirection;
    }

    public String getJobDirection() 
    {
        return jobDirection;
    }
    public void setVocationalDistribution(String vocationalDistribution) 
    {
        this.vocationalDistribution = vocationalDistribution;
    }

    public JSONArray getVocationalDistribution()
    {
        if(StringUtils.isEmpty(vocationalDistribution)){
            return new JSONArray();
        }
        return JSONArray.parseArray(vocationalDistribution);
    }
    public void setIndustryDistribution(String industryDistribution) 
    {
        this.industryDistribution = industryDistribution;
    }

    public JSONArray getIndustryDistribution()
    {
        if(StringUtils.isEmpty(industryDistribution)){
            return new JSONArray();
        }
        return JSONArray.parseArray(industryDistribution);
    }
    public SyMajorCareerProspects setJobRegionDistribution(String jobRegionDistribution)
    {
        this.jobRegionDistribution = jobRegionDistribution;
        return this;
    }

    public JSONArray getJobRegionDistribution()
    {
        if(StringUtils.isEmpty(jobRegionDistribution)){
            return new JSONArray();
        }
        return JSONArray.parseArray(jobRegionDistribution);
    }
    public void setAverageSalary(String averageSalary) 
    {
        this.averageSalary = averageSalary;
    }

    public JSONArray getAverageSalary()
    {
        if(StringUtils.isEmpty(averageSalary)){
            return new JSONArray();
        }
        return JSONArray.parseArray(averageSalary);
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public JSONArray getDescription()
    {
        if(StringUtils.isEmpty(description)){
            return new JSONArray();
        }
        return JSONArray.parseArray(description);
    }

    public List<String> getCodes() {
        return codes;
    }

    public void setCodes(List<String> codes) {
        this.codes = codes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("jobDirection", getJobDirection())
            .append("vocationalDistribution", getVocationalDistribution())
            .append("industryDistribution", getIndustryDistribution())
            .append("jobRegionDistribution", getJobRegionDistribution())
            .append("averageSalary", getAverageSalary())
            .append("description", getDescription())
            .append("createTime", getCreateTime())
            .toString();
    }
}
